import { RegistryTypes } from '@polkadot/types/types';
import { ApiOptions, ApiTypes, DecorateMethod } from '../types';
import Decorate from './Decorate';
export default abstract class Init<ApiType> extends Decorate<ApiType> {
    private _healthTimer;
    constructor(options: ApiOptions, type: ApiTypes, decorateMethod: DecorateMethod<ApiType>);
    abstract registerTypes(types?: RegistryTypes): void;
    protected loadMeta(): Promise<boolean>;
    private metaFromSource;
    private metaFromChain;
    private initFromMeta;
    private _onProviderConnect;
    private _onProviderDisconnect;
    private _onProviderError;
}
